## apbs 3.0.0+dfsg1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)


set(CMAKE_PROJECT_INCLUDE_BEFORE
    "${CMAKE_CURRENT_LIST_DIR}/CMakeProjectInfo.in")

project(abps_pdb2pqr
        VERSION ${project_version}
        DESCRIPTION ${project_description}
        HOMEPAGE_URL ${project_homepage}
        LANGUAGES C CXX)

###############################################################################
##  From:
##    https://cliutils.gitlab.io/modern-cmake/chapters/projects/submodule.html
##
##  Use git to add, initialize, and update submodules for the user
###############################################################################
find_package(Git QUIET)
if(GIT_FOUND AND EXISTS "${PROJECT_SOURCE_DIR}/.git")
    # Update submodules as needed
    option(GIT_SUBMODULE "Check submodules during build" ON)
    if(GIT_SUBMODULE)
        message(STATUS "** Submodule update")
        execute_process(COMMAND ${GIT_EXECUTABLE} submodule update --init --recursive
                        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                        RESULT_VARIABLE GIT_SUBMOD_RESULT)
        if(NOT GIT_SUBMOD_RESULT EQUAL "0")
            message(FATAL_ERROR "git submodule update --init failed with ${GIT_SUBMOD_RESULT}, please checkout submodules")
        endif()
    endif()
endif()

###############################################################################
##  NOTE: For Debugging and generally nice information to have
###############################################################################
string(TIMESTAMP COMPILE_TIME)
message(STATUS "#############################################################")
message(STATUS "** PROJECT NAME:            ${CMAKE_PROJECT_NAME}")
message(STATUS "** PROJECT DESC:            ${CMAKE_PROJECT_DESCRIPTION}")
message(STATUS "** PROJECT URL:             ${CMAKE_PROJECT_HOMEPAGE_URL}")
message(STATUS "** VERSION_DATA:            ${CMAKE_PROJECT_VERSION}")
message(STATUS "** CURRENT_TIME:            ${COMPILE_TIME}")

###############################################################################
##  NOTE: For Testing
###############################################################################
option(ENABLE_TESTS "Enable tests" ON)

if (${ENABLE_TESTS})
    message(STATUS "** TESTS:                   Will be built")
    enable_testing()
endif()
message(STATUS "#############################################################")

###############################################################################
##  NOTE: Build APBS and PDB2PQR
###############################################################################
add_subdirectory(apbs)
add_subdirectory(pdb2pqr)

=== apbs/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.12)

################################################################################
# TODO:  Add licensing and authorship information
# TODO:  Test with FEtk build
# TODO:  Handle special mac dependencies
#        (configure.ac:1306)
################################################################################
set(CMAKE_VERBOSE_MAKEFILE true)
cmake_policy(SET CMP0054 OLD)
cmake_policy(SET CMP0042 NEW)
set(CMAKE_MACOSX_RPATH 1)

################################################################################
# Set up basic project stuff                                                   #
################################################################################
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(ExternalProject)
include(FeatureSummary)

set(CMAKE_MAJOR_VERSION "3")
set(CMAKE_MINOR_VERSION "0")
set(CMAKE_MICRO_VERSION "0")

set(APBS_VERSION     "${CMAKE_MAJOR_VERSION}.${CMAKE_MICRO_VERSION}")
set(PACKAGE_STRING   "${APBS_VERSION}")
set(CMAKE_BUILD_TYPE "Release")

################################################################################
#  NOTE: Overwrite the RPATH information during the install from
#  https://gitlab.kitware.com/cmake/community/-/wikis/doc/cmake/RPATH-handling
################################################################################
set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")

project("APBS" VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_MICRO_VERSION})

set_package_properties(APBS PROPERTIES
    URL "http://www.poissonboltzmann.org/"
    DESCRIPTION "Adaptive Poisson-Boltzmann Solver"
    PURPOSE "APBS solves the equations of continuum electrostatics for large \
             biomolecular assemblages. This software was designed 'from the \
             ground up' using modern design principles to ensure its ability \
             to interface with other computational packages and evolve as \
             methods and applications change over time. The APBS code is \
             accompanied by extensive documentation for both users and \
             programmers and is supported by a variety of utilities for \
             preparing calculations and analyzing results. Finally, the free, \
             open-source APBS license ensures its accessibility to the entire \
             biomedical community.")


OPTION(BUILD_SHARED_LIBS "Build shared libraries." OFF)

################################################################################
# Set project paths                                                            #
################################################################################
message(STATUS "Setting project paths")

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror -fpermissive -fPIC")
if(APPLE AND BUILD_SHARED_LIBS)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -undefined dynamic_lookup")
endif()

set(APBS_ROOT ${PROJECT_SOURCE_DIR})
set(APBS_BUILD ${PROJECT_BINARY_DIR})
set(EXECUTABLE_OUTPUT_PATH ${APBS_BUILD}/bin)
set(LIBRARY_OUTPUT_PATH ${APBS_BUILD}/lib)
set(TOOLS_PATH ${APBS_BUILD}/tools)
set(APBS_BINARY ${EXECUTABLE_OUTPUT_PATH}/apbs)

set(LIBRARY_INSTALL_PATH lib)
set(HEADER_INSTALL_PATH include/apbs)
set(EXECUTABLE_INSTALL_PATH bin)
set(SHARE_INSTALL_PATH share/apbs)

set(APBS_LIBS)
set(APBS_LIB_DIRS)

find_file(CONTRIB_PATH "contrib"
          PATHS "${APBS_ROOT}"
          DOC "The path to contributed modules for apbs")
find_file(EXTERNALS_PATH "externals"
          PATHS "${APBS_ROOT}"
          DOC "The path to the external git submodules")

set(SYS_LIBPATHS /usr/lib64)
#list(APPEND SYS_LIBPATHS /usr/lib64)


###############################################################################
#####  Boilerplate Setup
###############################################################################
# include(GNUInstallDirs)
# set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR})
# set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR})
# set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/${CMAKE_INSTALL_BINDIR})
# message(STATUS "** Project will be installed to ${CMAKE_INSTALL_PREFIX}")


###############################################################################
#####  Offer the builder the choice of overriding the installation directories
###############################################################################
# set(INSTALL_LIBDIR ${CMAKE_INSTALL_LIBDIR} CACHE PATH "Installation directory for libraries")
# set(INSTALL_BINDIR ${CMAKE_INSTALL_BINDIR} CACHE PATH "Installation directory for executables")
# set(INSTALL_INCLUDEDIR ${CMAKE_INSTALL_INCLUDEDIR} CACHE PATH "Installation directory for header files")
# set(INSTALL_CMAKEDIR ${DEF_INSTALL_CMAKEDIR} CACHE PATH "Installation directory for CMake files")


###############################################################################
##### Report to builder
###############################################################################
# foreach(p LIB BIN INCLUDE CMAKE)
#   file(TO_NATIVE_PATH ${CMAKE_INSTALL_PREFIX}/${INSTALL_${p}DIR} _path )
#   message(STATUS "** Installing ${p} components to ${_path}")
#   unset(_path)
# endforeach()


################################################################################
# Debian/Ubuntu hack for                                                       #
# https://github.com/Electrostatics/apbs-pdb2pqr/issues/364                    #
################################################################################
if(EXISTS "/etc/debian_version" AND
  "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--no-as-needed")
endif()


################################################################################
# Set up temporary files and directories                                       #
################################################################################
file(MAKE_DIRECTORY ${EXECUTABLE_OUTPUT_PATH}/temp)


################################################################################
# Set the lookup paths for external library dependencies                       #
################################################################################
message(STATUS "Setting lookup paths for headers and libraries")

set(CMAKE_INCLUDE_PATH "${CMAKE_INCLUDE_PATH}")
list(APPEND CMAKE_INCLUDE_PATH /usr/include)
list(APPEND CMAKE_INCLUDE_PATH /usr/local/include)


################################################################################
# Enable ansi pedantic compiling                                               #
################################################################################
option(ENABLE_PEDANTIC "Enable the pedantic ansi compilation" OFF)

if(ENABLE_PEDANTIC)
    ADD_DEFINITIONS("-Wall -pedantic -ansi")
    message(STATUS "Pedantic compilation enabled")
endif()


################################################################################
# Determine Machine Epsilon values                                             #
################################################################################
OPTION(CHECK_EPSILON "Compute machine epsilon values" YES)

if(CHECK_EPSILON)
    message(STATUS "Computing machine epsilon values")
    try_run(
        FLOAT_EPSILON_COMPILED
        FLOAT_EPSILON_COMPUTED
        ${EXECUTABLE_OUTPUT_PATH}/temp
        ${APBS_ROOT}/src/.config/float_epsilon.c
        RUN_OUTPUT_VARIABLE FLOAT_EPSILON_OUTPUT
    )

    if(FLOAT_EPSILON_COMPUTED)
        message(STATUS "Floating point epsilon is ${FLOAT_EPSILON_OUTPUT}")
        set(FLOAT_EPSILON ${FLOAT_EPSILON_OUTPUT})
    else()
        message(FATAL_ERROR "Couldn't compute floating point machine epsilon")
    endif()

    try_run(
        DOUBLE_EPSILON_COMPILED
        DOUBLE_EPSILON_COMPUTED
        ${EXECUTABLE_OUTPUT_PATH}/temp
        ${APBS_ROOT}/src/.config/double_epsilon.c
        RUN_OUTPUT_VARIABLE DOUBLE_EPSILON_OUTPUT
    )

    if(DOUBLE_EPSILON_COMPUTED)
        message(STATUS "Double precision epsilon is ${DOUBLE_EPSILON_OUTPUT}")
        set(DOUBLE_EPSILON ${DOUBLE_EPSILON_OUTPUT})
    else()
        message(FATAL_ERROR "Couldn't compute double precision machine epsilon")
    endif()
else()
  set(FLOAT_EPSILON "1.19209290e-7")
  set(DOUBLE_EPSILON "2.2204460492503131e-16")
endif()


################################################################################
# Check for a few required functions                                           #
################################################################################
CHECK_FUNCTION_EXISTS(time HAVE_TIME_FUNC)
if(NOT HAVE_TIME_FUNC)
    message(FATAL_ERROR "Required time function not found")
endif()


CHECK_FUNCTION_EXISTS(rand HAVE_RAND_FUNC)
if(NOT HAVE_RAND_FUNC)
    message(FATAL_ERROR "Required rand function not found")
endif()


CHECK_FUNCTION_EXISTS(srand HAVE_SRAND_FUNC)
if(NOT HAVE_SRAND_FUNC)
    message(FATAL_ERROR "Required srand function not found")
endif()


################################################################################
# Find some libraries; Windows finds these automatically                       #
################################################################################
if(NOT WIN32)
    find_library(MATH_LIBRARY "m")
    list(APPEND APBS_LIBS m stdc++)
endif()


################################################################################
# Optionally copy MSMS/nanoshaper exectutables
# the actual grab is later for PBSAM enable
################################################################################
option(GET_MSMS "Put MSMS executable in the build directory" OFF)
option(GET_NanoShaper "Put NanoShaper executable in the build directory" OFF)

################################################################################
# Optionally build BEM: TABI-PB method                                          #
################################################################################
option(ENABLE_BEM "Boundary element method using TABIPB" OFF)

if(ENABLE_BEM)
    message(STATUS "Building TABIPB")
    add_definitions(-DENABLE_BEM)
    set(TABI bem)
    set(TABI_PATH ${EXTERNALS_PATH}/${TABI})

    set(GET_MSMS ON) #CACHE BOOL "Grabbing msms path"
    set(GET_NanoShaper ON) #CACHE BOOL "Grabbing NanoShaper path"

    if(WIN32)
        ExternalProject_add(${TABI}
            SOURCE_DIR ${TABI_PATH}
            CMAKE_ARGS -DENABLE_TABIPB_APBS=ON -DBUILD_SHARED_LIBS=${BUILD_SHARED_LIBS}
            BUILD_COMMAND "${CMAKE_COMMAND}" --build . --config $<CONFIG> --target TABIPBlib
            INSTALL_COMMAND "")
    else()
        ExternalProject_add(${TABI}
            SOURCE_DIR ${TABI_PATH}
            CMAKE_ARGS -DENABLE_TABIPB_APBS=ON -DBUILD_SHARED_LIBS=${BUILD_SHARED_LIBS}
            BUILD_COMMAND "${CMAKE_COMMAND}" --build . --target TABIPBlib
            INSTALL_COMMAND "")
    endif()

    ExternalProject_Get_Property(${TABI} binary_dir)
    list(APPEND APBS_LIB_DIRS "${binary_dir}")
    list(APPEND APBS_LIBS TABIPBlib)
    include_directories(${EXTERNALS_PATH}/${TABI})
    include_directories(${EXTERNALS_PATH}/${TABI}/src)

    if(BUILD_SHARED_LIBS)
        install(FILES ${binary_dir}/libTABIPBlib${CMAKE_SHARED_LIBRARY_SUFFIX}
                DESTINATION ${LIBRARY_INSTALL_PATH})
    endif()
endif() # ENABLE_BEM


################################################################################
# Handle conditional building with MPI Support                                 #
# There may be a better way, but for now this comes before FETK because FETK   #
# depends on having the libraries located.                                     #
################################################################################
option(ENABLE_MPI "Enable MPI parallelism" OFF)

if(ENABLE_MPI)
    if(NOT ENABLE_DEBUG)
        message(STATUS "Checking for MPI")
        find_package(MPI)
        if(MPI_FOUND)

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = APBS-PDB2PQR
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== apbs/doc/CMakeLists.txt ===
################################################################################
# TODO:  Generate license.html
################################################################################

find_package(Doxygen)

if(Doxygen_FOUND)
	configure_file(
	    ${CMAKE_CURRENT_SOURCE_DIR}/programmer/.config/Doxyfile.in
	    ${CMAKE_CURRENT_BINARY_DIR}/programmer/Doxyfile
	    ESCAPE_QUOTES
	    )
	
	configure_file(
	    ${CMAKE_CURRENT_SOURCE_DIR}/programmer/.config/programmer.html.in
	    ${CMAKE_CURRENT_BINARY_DIR}/programmer/programmer.html
	    )
	
	configure_file(
	    ${CMAKE_CURRENT_SOURCE_DIR}/programmer/.config/mainpage.h.in
	    ${CMAKE_CURRENT_BINARY_DIR}/programmer/mainpage.h
	    )
	
	add_custom_target(
	    doc
	    ALL
	    #COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/programmer/Doxyfile
	    COMMAND doxygen ${CMAKE_CURRENT_BINARY_DIR}/programmer/Doxyfile
	    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/programmer
	    COMMENT "Generating documentation with Doxygen" VERBATIM
	  )

	#file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/programmer/latex)
	
	add_custom_target(
	    doc-pdf
	    ALL
	    COMMAND make
	    COMMAND cp refman.pdf ../programmer.pdf
	    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/programmer/latex
	    DEPENDS doc
	    COMMENT "Generating pdf documentation" VERBATIM
	)
endif(Doxygen_FOUND)

=== apbs/src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

macro(add_items TYPE)

    # Make sure the TYPE argument is valid
    set(ALLOWABLE_TYPES SOURCES EXTERNAL_HEADERS INTERNAL_HEADERS)
    list(FIND ALLOWABLE_TYPES ${TYPE} VALID_TYPE)
    if(VALID_TYPE EQUAL -1)
        message(
            FATAL_ERROR
            "Passed an invalid type to add_items macro.  "
            "Must be one of SOURCES, EXTERNAL_HEADERS, or INTERNAL_HEADERS.  "
            "Was ${TYPE}"
        )
    endif()

    # The items to add will be any additional parameters beyond TYPE
    set(ITEMS ${ARGN})

    # Add each item successively to the appropriately typed list
    foreach(ITEM ${ITEMS})
        list(APPEND ${TYPE} "${ITEM}")
    endforeach()

endmacro()

macro(add_sublibrary LIBRARY)
    set(LIBRARY_NAME "apbs_${LIBRARY}")
    set(LIBRARY_DEPENDENCIES ${APBS_LIBS} ${ARGN})
    message(STATUS "Adding ${LIBRARY_NAME}")
    message(STATUS "With source files ${SOURCES}")
    message(STATUS "With external header files ${EXTERNAL_HEADERS}")
    message(STATUS "With internal header files ${INTERNAL_HEADERS}")
    message(STATUS "With library dependencies ${LIBRARY_DEPENDENCIES}")
    add_library(${LIBRARY_NAME} ${SOURCES} ${EXTERNAL_HEADERS} ${INTERNAL_HEADERS})
    target_link_libraries(${LIBRARY_NAME} ${LIBRARY_DEPENDENCIES})
    #add_dependencies(${LIBRARY_NAME} ${LIBRARY_DEPENDENCIES})
    INSTALL(FILES ${EXTERNAL_HEADERS} DESTINATION ${HEADER_INSTALL_PATH}/${LIBRARY})
    INSTALL(TARGETS ${LIBRARY_NAME} DESTINATION ${LIBRARY_INSTALL_PATH})
    list(APPEND APBS_INTERNAL_LIBS ${LIBRARY_NAME})
    set(APBS_INTERNAL_LIBS ${APBS_INTERNAL_LIBS} PARENT_SCOPE)
    message(STATUS "Added ${LIBRARY_NAME}")
endmacro()

add_subdirectory(generic)
add_subdirectory(pmgc)
add_subdirectory(mg)

if(ENABLE_FETK)
   add_subdirectory(fem)
endif(ENABLE_FETK)

add_items(SOURCES routines.c)
add_sublibrary(routines)

message(STATUS "External Headers: ${EXTERNAL_HEADERS}")

#add_executable(apbs main.c routines.c)
add_executable(apbs main.c apbs.h routines.c routines.h)
message(STATUS " ")
message(STATUS "APBS Libraries: ${APBS_LIBS}")
message(STATUS "Internal Libraries: ${APBS_INTERNAL_LIBS}")
message(STATUS " ")

#add_dependencies(apbs ${BEM_LIB})
#target_include_directories(apbs PRIVATE apbs.h routines.h)
target_link_libraries(apbs ${APBS_LIBS} ${APBS_INTERNAL_LIBS} ${APBS_LIBS})
#add_dependencies(apbs ${APBS_LIBS} ${APBS_INTERNAL_LIBS} ${APBS_LIBS})

configure_file(
    ${APBS_ROOT}/src/.config/apbscfg.h.in
    ${APBS_BUILD}/src/apbscfg.h
    )

if(ENABLE_iAPBS)
#    ADD_LIBRARY(apbs_routines routines.c routines.h)
#    INSTALL(TARGETS apbs_routines DESTINATION ${LIBRARY_INSTALL_PATH})
    INSTALL(FILES ${APBS_BUILD}/src/apbscfg.h DESTINATION ${HEADER_INSTALL_PATH})
endif()

INSTALL(FILES apbs.h routines.h DESTINATION ${HEADER_INSTALL_PATH})
INSTALL(TARGETS apbs DESTINATION ${EXECUTABLE_INSTALL_PATH})

message(STATUS ${CMAKE_C_FLAGS})

=== apbs/tools/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${TOOLS_PATH}/bin)

add_subdirectory(mesh)
add_subdirectory(manip)

if(ENABLE_PYTHON)
    add_subdirectory(python)
endif(ENABLE_PYTHON)

=== apbs/contrib/iapbs/CMakeLists.txt ===
################################################################################
# Set up basic project stuff                                                   #
################################################################################
cmake_minimum_required(VERSION 2.6)

include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckSymbolExists)
include(CheckTypeSize)
include(ExternalProject)

set(iAPBS_VERSION "3.0.0")

PROJECT(iAPBS)
################################################################################
# Set project paths                                                            #
################################################################################

message(STATUS "Setting iAPBS project paths")
set(iAPBS_ROOT ${PROJECT_SOURCE_DIR})
set(EXECUTABLE_OUTPUT_PATH ${iAPBS_ROOT}/bin)
set(LIBRARY_OUTPUT_PATH ${iAPBS_ROOT}/lib)

set(LIBRARY_INSTALL_DIR lib)

################################################################################
# add src
################################################################################


add_subdirectory(src)

#get_cmake_property(_variableNames VARIABLES)
#foreach (_variableName ${_variableNames})
#    message(STATUS "${_variableName}=${${_variableName}}")
#endforeach()

=== apbs/externals/boost/CMakeLists.txt ===

#  From https://www.youtube.com/watch?v=y9kSr5enrSk (41 minutes into)

set(BOOST_VERSION 1.70)

#  NOTE: Should FALSE be changed to an OPTION for BUILD_SHARED_LIBS?
set(Boost_USE_STATIC_LIBS FALSE)
set(Boost_USE_MULTITHREADED TRUE)
set(Boost_USE_STATIC_RUNTIME FALSE)
set(Boost_COMPILER "-gcc8")

find_package(Boost ${BOOST_VERSION}
             EXACT
             CONFIG
             REQUIRED COMPONENTS headers
             )
#                                program_options
#             )

if(Boost_FOUND)
    #  NOTE: This sets all the Boost components as globally available
    #set_target_properties(Boost::headers
    #                      Boost::program_options
    set_target_properties(Boost::headers
                          PROPERTIES IMPORTED_GLOBAL TRUE)
                         )
endif()

=== apbs/tools/manip/CMakeLists.txt ===
message(STATUS "Building manip")

set(LIBS "")
list(APPEND LIBS "apbs_generic")
list(APPEND LIBS "apbs_mg")
list(APPEND LIBS "apbs_pmgc")
if(FETK_ENABLED)
    list(APPEND LIBS "apbs_fem")
endif(FETK_ENABLED)

message(STATUS "libraries: ${LIBS}")

add_executable(coulomb coulomb.c)
target_link_libraries(coulomb ${LIBS})

add_executable(born born.c)
target_link_libraries(born ${LIBS})

=== apbs/tools/mesh/CMakeLists.txt ===
message(STATUS "Building mesh")

set(LIBS "")
list(APPEND LIBS "apbs_generic")
list(APPEND LIBS "apbs_mg")
list(APPEND LIBS "apbs_pmgc")
if(FETK_ENABLED)
    list(APPEND LIBS "apbs_fem")
endif(FETK_ENABLED)

message(STATUS "libraries: ${LIBS}")

add_executable(mgmesh mgmesh.c)
target_link_libraries(mgmesh ${LIBS})

add_executable(smooth smooth.c)
target_link_libraries(smooth ${LIBS})

add_executable(dxmath dxmath.c)
target_link_libraries(dxmath ${LIBS})

add_executable(mergedx mergedx.c)
target_link_libraries(mergedx ${LIBS})

add_executable(mergedx2 mergedx2.c)
target_link_libraries(mergedx2 ${LIBS})

add_executable(value value.c)
target_link_libraries(value ${LIBS})

add_executable(multivalue multivalue.c)
target_link_libraries(multivalue ${LIBS})

add_executable(benchmark benchmark.c)
target_link_libraries(benchmark ${LIBS})

add_executable(similarity similarity.c)
target_link_libraries(similarity ${LIBS})

add_executable(analysis analysis.c)
target_link_libraries(analysis ${LIBS})

add_executable(dx2mol dx2mol.c)
target_link_libraries(dx2mol ${LIBS})

add_executable(dx2uhbd dx2uhbd.c)
target_link_libraries(dx2uhbd ${LIBS})

add_executable(del2dx del2dx.c)
target_link_libraries(del2dx ${LIBS})

add_executable(tensor2dx tensor2dx.c)
target_link_libraries(tensor2dx ${LIBS})

add_executable(uhbd_asc2bin uhbd_asc2bin.c)
target_link_libraries(uhbd_asc2bin ${LIBS})

=== apbs/tools/python/CMakeLists.txt ===
if (${CMAKE_VERSION} VERSION_GREATER "3.13")
	CMAKE_POLICY(SET CMP0078 OLD)
	CMAKE_POLICY(SET CMP0086 OLD)
endif()

FIND_PACKAGE(SWIG REQUIRED)
INCLUDE(${SWIG_USE_FILE})


set(CMAKE_FIND_FRAMEWORK NEVER)
find_package(Python3 COMPONENTS Interpreter Development)
if(${Python3_FOUND})
    message(STATUS "******* Python3 FOUND")
endif()

INCLUDE_DIRECTORIES(${Python3_INCLUDE_DIRS})
message(STATUS "***** Python3 include path is: ${Python3_INCLUDE_DIRS}")
message(STATUS "***** Python3 library path is: ${Python3_LIBRARIES}")
message(STATUS "***** Python3 library dir  is: ${Python3_LIBRARY_DIRS}")

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

SET(CMAKE_SWIG_FLAGS "")

SWIG_ADD_LIBRARY(apbslib
		#TYPE USE_BUILD_SHARED_LIBS
		TYPE SHARED
		LANGUAGE python
		SOURCES apbslib.i)

# Hack to get the correct shared library extensions.  Why does Python suck so hard wrt to this?
if(APPLE)
    set(CMAKE_SHARED_LIBRARY_SUFFIX ".so")
endif(APPLE)

# Another hack to get SWIG to use the the correct library extension!
#SET_TARGET_PROPERTIES(${SWIG_MODULE_apbslib_REAL_NAME} PROPERTIES SUFFIX ${CMAKE_SHARED_LIBRARY_SUFFIX})

SWIG_LINK_LIBRARIES(apbslib ${APBS_LIBS} ${APBS_INTERNAL_LIBS} ${Python3_LIBRARIES})

if(WIN32)
	add_custom_command(TARGET _apbslib POST_BUILD
		COMMAND ${CMAKE_COMMAND} -E
			copy ${CMAKE_CURRENT_BINARY_DIR}/apbslib.py ${CMAKE_SOURCE_DIR}/../pdb2pqr/pdb2pka
		COMMAND ${CMAKE_COMMAND} -E
			copy ${LIBRARY_OUTPUT_PATH}/$<CONFIG>/_apbslib.pyd ${CMAKE_SOURCE_DIR}/../pdb2pqr/pdb2pka
		)
else()
	add_custom_command(TARGET _apbslib POST_BUILD
		COMMAND ${CMAKE_COMMAND} -E
			copy ${CMAKE_CURRENT_BINARY_DIR}/apbslib.py ${CMAKE_SOURCE_DIR}/../pdb2pqr/pdb2pka
		COMMAND ${CMAKE_COMMAND} -E
			copy ${LIBRARY_OUTPUT_PATH}/_apbslib${CMAKE_SHARED_LIBRARY_SUFFIX} ${CMAKE_SOURCE_DIR}/../pdb2pqr/pdb2pka
	)
endif()

=== apbs/tools/python/Makefile ===
# Makefile.in generated by automake 1.11.3 from Makefile.am.
# tools/python/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/apbs
pkgincludedir = $(includedir)/apbs
pkglibdir = $(libdir)/apbs
pkglibexecdir = $(libexecdir)/apbs
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
noinst_PROGRAMS = _apbslib.so$(EXEEXT)
subdir = tools/python
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/src/aaa_inc/apbscfg.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am__apbslib_so_OBJECTS = apbslib.$(OBJEXT)
_apbslib_so_OBJECTS = $(am__apbslib_so_OBJECTS)
am__DEPENDENCIES_1 =
_apbslib_so_DEPENDENCIES =  \
	${top_builddir}/bin/.libs/libapbsmainroutines.a \
	${top_builddir}/src/aaa_lib/.libs/libapbs.a \
	${top_builddir}/contrib/lib/libmaloc.a \
	${top_builddir}/contrib/blas/.libs/libapbsblas.a \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I. -I$(top_builddir)/src/aaa_inc
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(_apbslib_so_SOURCES)
DIST_SOURCES = $(_apbslib_so_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = :
AMTAR = $${TAR-tar}
APBS_VERSION = 1:3
AR = ar
AUTOCONF = :
AUTOHEADER = :
AUTOMAKE = :
AWK = mawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -O2 -fopenmp
CPP = gcc -E
CPPFLAGS = -I
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = -lreadline 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /data/work/subversion/apbs-checkout/trunk/config/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = apbs
PACKAGE_BUGREPORT = baker@biochem.wustl.edu
PACKAGE_NAME = APBS
PACKAGE_STRING = APBS 1.3
PACKAGE_TARNAME = apbs
PACKAGE_URL = 
PACKAGE_VERSION = 1.3
PATH_SEPARATOR = :
PY_CC = 
PY_CFLAGS = 
PY_LDFLAGS = 
PY_LINKFLAGS = 
PY_SHARED = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
SITEPKGS = /home/d3x874/apbs/lib/python2.7/site-packages
STRIP = strip
VERSION = 1.3
abs_builddir = /data/work/subversion/apbs-checkout/trunk/tools/python
abs_srcdir = /data/work/subversion/apbs-checkout/trunk/tools/python
abs_top_builddir = /data/work/subversion/apbs-checkout/trunk
abs_top_srcdir = /data/work/subversion/apbs-checkout/trunk
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
apbs_build_libraries = /data/work/subversion/apbs-checkout/trunk/bin/libapbsmainroutines.la 			/data/work/subversion/apbs-checkout/trunk/src/aaa_lib/libapbs.la 			-L/data/work/subversion/apbs-checkout/trunk/contrib/lib -lmaloc                    -lm              -L/data/work/subversion/apbs-checkout/trunk/contrib/zlib/ -lz   
apbs_do_maloc = maloc
apbs_do_python = 
apbs_do_tools = tools
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
contrib_path = /data/work/subversion/apbs-checkout/trunk/contrib
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
efence_lib = 
exec_prefix = ${prefix}
fetk_cpu_vendor_os = 
gamer_lib = 
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
inc_list = -I. -I/data/work/subversion/apbs-checkout/trunk/contrib/include   
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /data/work/subversion/apbs-checkout/trunk/config/install-sh
lib_list =                    -lm              -L/data/work/subversion/apbs-checkout/trunk/contrib/zlib/ -lz   
libdir = ${exec_prefix}/lib
liberty_lib = 
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
maloc_inc = -I/data/work/subversion/apbs-checkout/trunk/contrib/include
maloc_lib = -L/data/work/subversion/apbs-checkout/trunk/contrib/lib -lmaloc
mandir = ${datarootdir}/man
math_lib = -lm
mc_lib = 
mcx_lib = 
mkdir_p = /bin/mkdir -p
mpi_inc = 
mpi_lib = 
nsl_lib = 
oldincludedir = /usr/include
pdfdir = ${docdir}
pedantic_ansi = 
prefix = /home/d3x874/apbs
program_transform_name = s,x,x,
psdir = ${docdir}
py_path = /usr/bin/python
readline_lib =  -lreadline  -lvf2c    -lm
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
socket_lib = 
srcdir = .
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
thread_lib = 
top_apbsdir = /data/work/subversion/apbs-checkout/trunk
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
wall = 
wall_pedantic = 
wall_pedantic_ansi = 
z_lib = -L/data/work/subversion/apbs-checkout/trunk/contrib/zlib/ -lz
zlib = zlib
AUTOMAKE_OPTIONS = no-dependencies
SUFFIXES = .c .C .o .so
INCLUDES = -I. -I/data/work/subversion/apbs-checkout/trunk/contrib/include    $(PY_CFLAGS) -I${top_srcdir}/bin 
CCLD = $(PY_CC)
CLEANFILES = _apbslib.so
SUBDIRS = vgrid 
_apbslib_so_SOURCES = apbslib.c
_apbslib_so_LINK = $(PY_CC) $(CFLAGS) $(PY_LINKFLAGS) -o $@ $(PY_SHARED)
_apbslib_so_LDADD = ${top_builddir}/bin/.libs/libapbsmainroutines.a ${top_builddir}/src/aaa_lib/.libs/libapbs.a ${top_builddir}/contrib/lib/libmaloc.a ${top_builddir}/contrib/blas/.libs/libapbsblas.a $(PY_LDFLAGS) ${z_lib} 
all: all-recursive

.SUFFIXES:
.SUFFIXES: .c .C .o .so .lo .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tools/python/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu tools/python/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list
_apbslib.so$(EXEEXT): $(_apbslib_so_OBJECTS) $(_apbslib_so_DEPENDENCIES) $(EXTRA__apbslib_so_DEPENDENCIES) 
	@rm -f _apbslib.so$(EXEEXT)
	$(_apbslib_so_LINK) $(_apbslib_so_OBJECTS) $(_apbslib_so_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

.c.o:
	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \

=== debian/changelog ===
apbs (3.0.0+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * use -fcommon in CFLAGS to aid build with gcc-10
    (managing multiple definitions of common variables).
    Closes: #956998.
  * provide python path to inputgen for build-time tests

 -- Drew Parsons <dparsons@debian.org>  Thu, 23 Jul 2020 17:35:23 +0800

apbs (3.0.0+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * reinstate debian patch python3.patch
    (to specify python executable as python3)

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Jun 2020 03:37:37 +0800

apbs (3.0.0+dfsg1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - now supports Python 3. Drop debian patch python3.patch.
    - bump to soname 3 (provide libapbs3)
  * update debian/watch to catch new releases
  * debhelper compatibility level 13
  * update debian/not-installed for unused files installed by build
    system
  * lintian lib overrides moved to libapbs3.lintian-overrides
  * mark libapbs-dev and libapbs3 Multi-Arch: same,
    apbs-data Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Thu, 18 Jun 2020 16:05:52 +0800

apbs (1.5+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * python3.patch, wrong-path-for-interpreter.patch: use python3 as
    python executable for tests and scripts, fix print statements

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Apr 2020 12:05:58 +0800

apbs (1.5+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Split package into component packages supporting shared libraries
    and python module: libapbs-dev, libapbs1, python3-apbslib.
    Python 3 support Closes: #936124
  * debian patch link_libapbs_routines.patch links libapbs_routines
    to libapbs_generic and libapbs_mg (providing internal symbols)
  * debian/not-installed marks components of usr/share/apbs/tools
    which are deliberately not installed (matlab, windows, osx, etc)

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Mar 2020 12:08:59 +0800

apbs (1.5+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Daniel Leidert ]
  * debian/apbs-data.install: Fix brace-expansion-in-debhelper-config-file.
  * debian/compat: Increase dh level to 12.
  * debian/copyright: Minor update. Use HTTPS. Fix license short name.
  * debian/rules: Fix debian-rules-uses-unnecessary-dh-argument.
    (override_dh_install): Remove deprecated options. Make scripts executable.
  * debian/patches/debian_testfiles.patch (Description): Fix typo.
  * debian/patches/wrong-path-for-interpreter.patch: Added.
    - Fix wrong-path-for-interpreter in examples/protein-rna/apbs_unix_dx.py.
  * debian/patches/series: Adjusted.
  * debian/upstream: Rename to debian/upstream/metadata. Use HTTPS.

  [ Drew Parsons ]
  * update Homepage to http://www.poissonboltzmann.org/
  * update debian/watch to track https://github.com/Electrostatics/apbs-pdb2pqr
  * exclude pdb2pqr from source tarball (reversion with +dfsg1) since
    pdb2pqr is currently packaged separately.
  * New upstream release (+dfsg1 excluding pdb2pqr).
  * provide binary mesh tools in /usr/lib/apbs/tools/bin (linked from share)
  * activate Python support (uses shared libs)
  * add debian patches
    - shared_library_soname.patch assigns a soversion to shared libs
    - use major version as soname (until ABI proves unstable in the
      minor version). Requires cmake policy to set CMP0048 as NEW.
    - python3.patch enables tests to run in python3
  * modernize debhelper compatibility with
    Build-Depends: debhelper-compat (= 12)
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 Mar 2020 23:54:29 +0800

apbs (1.4.2.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/debian_testfiles.patch: Updated.
  * debian/patches/debian_testfiles.patch: Remove geoflow testcase, no longer
    working.
  * debian/patches/debian_testfiles.patch: Include test_cases.cfg in binary
    package.
  * debian/control (Build-Depends): Added swig3.0.
  * debian/rules (override_dh_auto_configure): Removed -DBUILD_SHARED_LIBS and 
    switched -DENABLE_PYTHON to Off.
  * debian/patches/debian_testfiles.patch: Add /usr/share/apbs/tools/manip/ to
    python search path.
  * debian/tests/control: Added needs-root to system-wide test.
  * debian/patches/debian_make.patch: Updated.
  * debian/gitlab-ci.yml: New file.

 -- Michael Banck <mbanck@debian.org>  Fri, 19 Jul 2019 21:20:55 -0300

apbs (1.4-2) UNRELEASED; urgency=medium

  * Team upload.
  * fix spelling-error-in-binary lintian warnings
  * add debian/tests/control for autopkgtest
  * cme fix dpkg-control
  * update debhelper to >= 9
  * fix hardening-no-pie and hardening-no-bindnow lintian warnings
  * make debian/copyright machine-readable and check with
    "cme fix dpkg-copyright"
  * split to apbs and apbs-data, install examples/ and tests/ to apbs-data
  * fix script-not-executable lintian warnings
  * add allow-stderr restriction to debian/tests/control
  * add tests to debian/tests/control to check the same test when installed,
    install tools/manip/ to /usr/share/apbs (this is used with tests/)
  * add debian/README.test and debian/docs

 -- Tatiana Malygina <merlettaia@gmail.com>  Wed, 03 Aug 2016 16:46:10 +0300

=== debian/control ===
Source: apbs
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               libmaloc-dev,
               mpi-default-dev,
               python3,
               python3-dev,
               python3-setuptools,
               swig,
               zlib1g-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debichem-team/apbs
Vcs-Git: https://salsa.debian.org/debichem-team/apbs.git
Homepage: http://www.poissonboltzmann.org/

Package: apbs
Architecture: any
Depends: apbs-data (= ${source:Version}),
 libapbs3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Adaptive Poisson Boltzmann Solver
 APBS is a software package for the numerical solution of the
 Poisson-Boltzmann equation (PBE), one of the most popular continuum
 models for describing electrostatic interactions between molecular
 solutes in salty, aqueous media.  Continuum electrostatics plays an
 important role in several areas of biomolecular simulation, including:
 .
   * simulation of diffusional processes to determine ligand-protein and
     protein-protein binding kinetics,
   * implicit solvent molecular dynamics of biomolecules ,
   * solvation and binding energy calculations to determine
     ligand-protein and protein-protein equilibrium binding constants
     and aid in rational drug design,
   * and biomolecular titration studies.
 .
 APBS was designed to efficiently evaluate electrostatic properties for
 such simulations for a wide range of length scales to enable the
 investigation of molecules with tens to millions of atoms.
 .
 This package contains the apbs program and utilities.

Package: python3-apbslib
Section: python
Architecture: any
Depends: libapbs3 (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Adaptive Poisson Boltzmann Solver
 APBS is a software package for the numerical solution of the
 Poisson-Boltzmann equation (PBE), one of the most popular continuum
 models for describing electrostatic interactions between molecular
 solutes in salty, aqueous media.
 .
 This package provides the apbslib module for Python3 enabling
 Python applications to access apbs.

Package: libapbs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libapbs3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Adaptive Poisson Boltzmann Solver
 APBS is a software package for the numerical solution of the
 Poisson-Boltzmann equation (PBE), one of the most popular continuum
 models for describing electrostatic interactions between molecular
 solutes in salty, aqueous media.
 .
 This package contains the development headers to build against
 libapbs_* shared libraries.

Package: libapbs3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Adaptive Poisson Boltzmann Solver
 APBS is a software package for the numerical solution of the
 Poisson-Boltzmann equation (PBE), one of the most popular continuum
 models for describing electrostatic interactions between molecular
 solutes in salty, aqueous media.
 .
 This package contains the libapbs_* shared libraries.

Package: apbs-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: apbs (<= 1.4-2)
Description: data files for APBS (Adaptive Poisson Boltzmann Solver)
 APBS is a software package for the numerical solution of the
 Poisson-Boltzmann equation (PBE), one of the most popular continuum
 models for describing electrostatic interactions between molecular
 solutes in salty, aqueous media.
 .
 This package contains all data files for apbs package to reduce the 
 redundancy between architectures in Debian.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk
include /usr/share/mpi-default-dev/debian_defaults

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

BUILDDIR := $(CURDIR)/obj-$(DEB_HOST_MULTIARCH)

export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS) -fcommon
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure --sourcedir=apbs -- \
		-DCMAKE_BUILD_TYPE=None -DCMAKE_SKIP_RPATH=On \
		-DBUILD_DOC=Off -DBUILD_TOOLS=On \
		-DENABLE_OPENMP=On -DENABLE_MPI=On \
		-DENABLE_PYTHON=On -DBUILD_SHARED_LIBS=On \
		-DENABLE_READLINE=Off -DENABLE_ZLIB=On \
		-DFETK_PATH=/usr -DENABLE_FETK=Off

override_dh_auto_build:
	dh_auto_build --sourcedir=apbs

override_dh_auto_install:
	dh_auto_install --sourcedir=apbs --destdir=$(CURDIR)/debian/tmp/

override_dh_auto_clean:
	dh_auto_clean --sourcedir=apbs

override_dh_auto_test:
	-(cd apbs/tests; PATH=$(BUILDDIR)/bin:$${PATH} LD_LIBRARY_PATH=$(BUILDDIR)/lib:$${LD_LIBRARY_PATH} PYTHONPATH=$${PYTHONPATH}:$(CURDIR)/apbs/tools/manip python3 apbs_tester.py -c test_cases.cfg; rm -rf __pycache__)

override_dh_fixperms-indep:
	dh_fixperms
	for example in FKBP/1d7h-dmso/UHBD/pqr2qcd \
			ion-pmf/runme.sh \
			point-pmf/runme.sh \
			protein-rna/postprocess.sh \
			protein-rna/test.sh \
			helix/Run_membrane-helix.sh \
			protein-rna/run_apdx_files.sh; \
	do \
	  chmod +x debian/apbs-data/usr/share/apbs/examples/$${example}; \
	done
	for script in amber2charmm.sh \
			param/pdb2pqr/amber2uhbd.sh \
			qcd2pqr.awk; \
	do \
	  chmod a+x debian/apbs-data/usr/share/apbs/tools/conversion/$${script}; \
	done

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1, \
 filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%apbs-$1.tar.gz%" \
 https://github.com/Electrostatics/apbs-pdb2pqr/tags \
 (?:.*?/)?vAPBS-(\d[\d.]*)\.tar\.gz debian uupdate
